--- old/usr/src/uts/common/inet/ip/ip.c	2012-07-09 14:38:15.073747843 +0000
+++ new/usr/src/uts/common/inet/ip/ip.c	2012-07-09 14:38:15.083491353 +0000
@@ -111,6 +111,8 @@
 #include <ipp/ipgpc/ipgpc.h>
 
 #include <sys/pattr.h>
+#include <inet/dccp/dccp_ip.h>
+#include <inet/dccp/dccp_impl.h>
 #include <inet/ipclassifier.h>
 #include <inet/sctp_ip.h>
 #include <inet/sctp/sctp_impl.h>
@@ -4311,6 +4313,7 @@
 	icmp_ddi_g_destroy();
 	rts_ddi_g_destroy();
 	udp_ddi_g_destroy();
+	dccp_ddi_g_destroy();
 	sctp_ddi_g_destroy();
 	tcp_ddi_g_destroy();
 	ilb_ddi_g_destroy();
@@ -4547,6 +4550,7 @@
 	ipsec_policy_g_init();
 	tcp_ddi_g_init();
 	sctp_ddi_g_init();
+	dccp_ddi_g_init();
 	dce_g_init();
 
 	/*
@@ -9684,9 +9688,15 @@
 	if ((mpctl = sctp_snmp_get_mib2(q, mpctl, sctps)) == NULL) {
 		return (1);
 	}
+
 	if ((mpctl = ip_snmp_get_mib2_ip_dce(q, mpctl, ipst)) == NULL) {
 		return (1);
 	}
+
+	if ((mpctl = dccp_snmp_get(q, mpctl, legacy_req)) == NULL) {
+		return (1);
+	}
+
 	freemsg(mpctl);
 	return (1);
 }
@@ -15237,6 +15247,7 @@
 		cpu_seqid = cpu[id]->cpu_seqid;
 		netstack_next_init(&nh);
 		while ((ns = netstack_next(&nh)) != NULL) {
+			dccp_stack_cpu_add(ns->netstack_dccp, cpu_seqid);
 			tcp_stack_cpu_add(ns->netstack_tcp, cpu_seqid);
 			sctp_stack_cpu_add(ns->netstack_sctp, cpu_seqid);
 			udp_stack_cpu_add(ns->netstack_udp, cpu_seqid);
